[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] The -vga CLI arg accepts qxl in qemu 1.2+ always



On 01/04/2013 12:34 AM, Guannan Ren wrote:
> On 01/04/2013 08:40 AM, Eric Blake wrote:
>> On 01/03/2013 04:42 PM, Doug Goldstein wrote:
>>> The -vga command always accepts qxl in 1.2 and newer.
>> Are you sure?  I thought qemu ./configure allows a choice of which
>> graphics engines to support, and that you can compile qxl out (distros
>> don't do that, but a self-built qemu might support -vga but not QXL).  I
>> think that rather than blindly setting this cap, we need to find the
>> right QMP command to check which graphics engines are supported.
>>
> 
>      When I tried qemu(1.3.50)
>      ./configure --target-list=x86_64-softmmu --enable-debug
> --disable-spice
> 
>      #./x86_64-softmmu/qemu-system-x86_64 -h|grep -i qxl
>       -vga [std|cirrus|vmware|qxl|xenfb|none]

help output is non-normative, if you have qemu 1.2 or newer.  This could
be a case of qemu not making the help output conditional on the compile
options used.  But since we shouldn't be relying on the help output,
this grep means nothing for whether qxl is actually supported.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]